Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Algorithm Class Reference

interface for all crypto algorithms More...

`#include <cryptlib.h>`

Inheritance diagram for Algorithm:

List of all members.

## Public Member Functions

| Algorithm (bool checkSelfTestStatus=true)
virtual std::string | AlgorithmName () const
| returns name of this algorithm, not universally implemented yet
virtual Clonable * | Clone () const
| this is not implemented by most classes yet

## Detailed Description

interface for all crypto algorithms

Definition at line 335 of file cryptlib.h.

## Constructor & Destructor Documentation

Algorithm::Algorithm | ( | bool | checkSelfTestStatus = `true` | ) |

When FIPS 140-2 compliance is enabled and checkSelfTestStatus == true, this constructor throws SelfTestFailure if the self test hasn't been run or fails.

The documentation for this class was generated from the following file:

- cryptlib.h